# Asterisk Project : Asterisk 13 Function_JABBER_STATUS_res_xmpp

Created by wikibot on Aug 08, 2014

# JABBER_STATUS() - [res_xmpp]

### Synopsis

Retrieves a buddy's status.

### Description

Retrieves the numeric status associated with the buddy identified by jid. If the buddy does not exist in the buddylist, returns 7.

Status will be 1-7.

1=Online, 2=Chatty, 3=Away, 4=XAway, 5=DND, 6=Offline

If not in roster variable will be set to 7.

Example: ${JABBER_STATUS(asterisk,bob@domain.com)} returns 1 if bob@domain.com is online. asterisk is the associated XMPP account configured in xmpp.conf.

### Syntax

    JABBER_STATUS(account,jid)

##### Arguments

- `account` - The local named account to listen on (specified in xmpp.conf)
- `jid` - Jabber ID of the buddy to receive message from. It can be a bare JID (username@domain) or a full JID (username@domain/resource).

### See Also

- Asterisk 13 Function_JABBER_RECEIVE_res_xmpp
- Asterisk 13 Application_JabberSend_res_xmpp

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538